{
  "schema_version": "1.4.0",
  "id": "GHSA-fwwr-mh49-42xf",
  "modified": "2025-04-11T03:41:53Z",
  "published": "2022-05-17T05:44:04Z",
  "aliases": [
    "CVE-2010-4392"
  ],
  "details": "Heap-based buffer overflow in RealNetworks RealPlayer 11.0 through 11.1, RealPlayer SP 1.0 through 1.1.5, RealPlayer Enterprise 2.1.2 and 2.1.3, Linux RealPlayer 11.0.2.1744, and possibly HelixPlayer 1.0.6 and other versions, allows remote attackers to execute arbitrary code via crafted ImageMap data in a RealMedia file, related to certain improper integer calculations.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-4392"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/69852"
    },
    {
      "type": "WEB",
      "url": "http://service.real.com/realplayer/security/12102010_player/en"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0981.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1024861"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-10-280"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-12-14T16:00:00Z"
  }
}